Uploaded image for project: 'Magnolia'
  1. Magnolia
  2. MAGNOLIA-6691

FORWARD-PORT - Migration from 4.5: Updating data module from 1.7.x (4.5) to 2.3.5 (5.3) fails with error

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Neutral
    • Resolution: Fixed
    • Affects Version/s: 5.3
    • Fix Version/s: 5.4.8, 5.5
    • Component/s: None
    • Labels:
    • Release notes required:
      Yes
    • Sprint:
      Basel 48
    • Story Points:
      1
    • Magnolia Release:
      5.4.8, 5.5

      Description

      Forwardport to 5.4.x and 5.5 (update original ticket)

      -------

      When directly updating Magnolia from 4.5.x to 5.3.x the data module's update fails with error:

      Could not install or update data module. Task 'Update data module nodetypes' failed. (RepositoryException: {}dataItem can not be removed because the following node types depend on it: {}company {}Contact {}manager {}category {}employees {}developer {}RssAggregator {}director {}department )
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              fgrilli Federico Grilli
              Reporter:
              pmundt Philip Mundt
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: